apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["fd01:0:0:1::165/64"],"mac_address":"0a:58:ef:25:29:de","gateway_ips":["fd01:0:0:1::1"],"ip_address":"fd01:0:0:1::165/64","gateway_ip":"fd01:0:0:1::1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "fd01:0:0:1::165"
          ],
          "mac": "0a:58:ef:25:29:de",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "fd01:0:0:1::165"
          ],
          "mac": "0a:58:ef:25:29:de",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  creationTimestamp: "2022-10-04T08:37:10Z"
  generateName: test8-
  labels:
    app: test8
    controller-revision-hash: test8-6f76d9c566
    statefulset.kubernetes.io/pod-name: test8-0
  name: test8-0
  namespace: test
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: StatefulSet
    name: test8
    uid: c006b450-0a4c-4899-b464-1da78aab22ea
  resourceVersion: "500481"
  uid: 0006f2bb-8ec7-4d23-b3ee-f41f2139099a
spec:
  containers:
  - args:
    - -c
    - while true; do sleep 10;done
    command:
    - /bin/sh
    env:
    - name: TZ
      value: UTC
    - name: NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi
    imagePullPolicy: IfNotPresent
    livenessProbe:
      exec:
        command:
        - ls
      failureThreshold: 3
      initialDelaySeconds: 15
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 15
    name: t8-1
    readinessProbe:
      exec:
        command:
        - ls
      failureThreshold: 3
      initialDelaySeconds: 15
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 15
    resources:
      limits:
        cpu: 157m
        memory: 300Mi
      requests:
        cpu: 125m
        memory: 200Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
        - MKNOD
        - all
      runAsNonRoot: true
      runAsUser: 1000780000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /logs
      name: log-shipper-storage-path
    - mountPath: /run/secrets/ca-certificates/
      name: server-ca-certificate
      readOnly: true
    - mountPath: /run/secrets/certificates/
      name: lt-client-cert
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-rzlhc
      readOnly: true
  - env:
    - name: MESSAGE_LEN
      value: "240"
    - name: LOG_PERIOD_SEC
      value: 1/5
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/test_images/logging:latest
    imagePullPolicy: IfNotPresent
    livenessProbe:
      exec:
        command:
        - ls
      failureThreshold: 3
      initialDelaySeconds: 1
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 10
    name: sidecar-1
    resources:
      limits:
        cpu: 63m
        memory: 200Mi
      requests:
        cpu: 50m
        memory: 150Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
        - MKNOD
        - all
      privileged: false
      readOnlyRootFilesystem: false
      runAsNonRoot: true
      runAsUser: 1000780000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /data
      name: data
    - mountPath: /run/sec/certs/server/
      name: server-cert
    - mountPath: /run/sec/certs/peer
      name: peer-client-cert
    - mountPath: /run/sec/cas/bootstrap/
      name: bootstrap-ca
    - mountPath: /run/sec/cas/clientca/
      name: client-ca
    - mountPath: /run/sec/certs/client/
      name: etcdctl-client-cert
    - mountPath: /run/sec/certs/bro
      name: etcd-bro-client-cert
    - mountPath: /run/sec/cas/siptlsca/
      name: siptls-ca
    - mountPath: /run/sec/cas/pmca/
      name: pmca
    - mountPath: /logs
      name: log-shipper-storage-path
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-rzlhc
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostname: test8-0
  initContainers:
  - image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi
    imagePullPolicy: IfNotPresent
    name: init
    resources:
      limits:
        cpu: 120m
        memory: 125Mi
      requests:
        cpu: 100m
        memory: 100Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
        - MKNOD
        - all
      privileged: false
      readOnlyRootFilesystem: false
      runAsNonRoot: true
      runAsUser: 1000780000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /sharedData
      name: data
    - mountPath: /logs
      name: log-shipper-storage-path
    - mountPath: /run/sec/certs/server/
      name: server-cert
    - mountPath: /run/sec/certs/peer
      name: peer-client-cert
    - mountPath: /run/sec/cas/bootstrap/
      name: bootstrap-ca
    - mountPath: /run/sec/cas/clientca/
      name: client-ca
    - mountPath: /run/sec/certs/client/
      name: etcdctl-client-cert
    - mountPath: /run/sec/certs/bro
      name: etcd-bro-client-cert
    - mountPath: /run/sec/cas/siptlsca/
      name: siptls-ca
    - mountPath: /run/sec/cas/pmca/
      name: pmca
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-rzlhc
      readOnly: true
  nodeName: sno.kni-qe-1.lab.eng.rdu2.redhat.com
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000780000
    seLinuxOptions:
      level: s0:c28,c12
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: data
    persistentVolumeClaim:
      claimName: datadir-data-1
  - emptyDir:
      sizeLimit: 500Mi
    name: log-shipper-storage-path
  - name: server-ca-certificate
    secret:
      defaultMode: 420
      optional: true
      secretName: s186-2
  - name: lt-client-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: s33-2
  - name: siptls-ca
    secret:
      defaultMode: 420
      optional: true
      secretName: s186-2
  - name: bootstrap-ca
    secret:
      defaultMode: 420
      optional: true
      secretName: s185-2
  - name: client-ca
    secret:
      defaultMode: 420
      optional: true
      secretName: s6-1
  - name: server-cert
    secret:
      defaultMode: 420
      secretName: s30-2
  - name: peer-client-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: s34-2
  - name: etcdctl-client-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: s32-2
  - name: pmca
    secret:
      defaultMode: 420
      optional: true
      secretName: s20-1
  - name: etcd-bro-client-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: s31-2
  - name: kube-api-access-rzlhc
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-10-04T09:24:28Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-10-04T10:17:12Z"
    message: 'containers with unready status: [t8-1]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-10-04T10:17:12Z"
    message: 'containers with unready status: [t8-1]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-10-04T08:37:12Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://72719d0a0eb2cba95e650d319a9b83e8345405e28fed7745567305b565e8da30
    image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/test_images/logging:latest
    imageID: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/test_images/logging@sha256:e714e9ee1de31b4c6c43a3bd1b1d212e41db7839c8dbc0f68c06ac3ac073b416
    lastState: {}
    name: sidecar-1
    ready: true
    restartCount: 8
    started: true
    state:
      running:
        startedAt: "2022-10-04T10:21:54Z"
  - containerID: cri-o://3423eeabbeb52cba4c7eaa4c91fafe593a5453c48b096e154a0edacbdfa133c8
    image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi:latest
    imageID: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi@sha256:7977a31c6829d4629698ae5f3dcd5691e90f83bed1b336bff16d2afafa12cba4
    lastState: {}
    name: t8-1
    ready: false
    restartCount: 8
    started: true
    state:
      running:
        startedAt: "2022-10-04T10:20:53Z"
  hostIP: 2620:52:0:198::10
  initContainerStatuses:
  - containerID: cri-o://93f74e98fb6c8dfe6fcf8f8d3178a0b551e5017cf88b866c2db27351cbc28737
    image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi:latest
    imageID: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi@sha256:7977a31c6829d4629698ae5f3dcd5691e90f83bed1b336bff16d2afafa12cba4
    lastState: {}
    name: init
    ready: true
    restartCount: 8
    state:
      terminated:
        containerID: cri-o://93f74e98fb6c8dfe6fcf8f8d3178a0b551e5017cf88b866c2db27351cbc28737
        exitCode: 0
        finishedAt: "2022-10-04T10:19:38Z"
        reason: Completed
        startedAt: "2022-10-04T10:19:35Z"
  phase: Running
  podIP: fd01:0:0:1::165
  podIPs:
  - ip: fd01:0:0:1::165
  qosClass: Burstable
  startTime: "2022-10-04T08:37:21Z"
